from abc import ABC, abstractmethod


class DataStreamWrapper(ABC):
    def __init__(self):
        """Implement code to load mask_model here"""
        pass

    def publish(self, x):
        """Implement code to publish"""
        return x

    def subscribe(self,hook):
        """Implement code to subscribe"""
        return None